## org.apache.catalina.cluster
Interface ClusterSender

All Known Implementing Classes:
  ReplicationTransmitter

public interface ClusterSender

Version:
  $Id: ClusterSender.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Filip Hanik, Peter Rossbach

Method Summary
`void` `add(Member member)`
`void` `backgroundProcess()`
`boolean` `isCompress()`
`boolean` `isWaitForAck()`
`void` `remove(Member member)`
`void` `sendMessage(ClusterMessage message)`
`void` `sendMessage(ClusterMessage message, Member member)`
`void` `sendMessageClusterDomain(ClusterMessage message)`
`void` `setCatalinaCluster(SimpleTcpCluster cluster)`
`void` `setCompress(boolean compress)`
`void` `setWaitForAck(boolean isWaitForAck)`
`void` `start()`
`void` `stop()`

Method Detail

### add

    public void add(Member member)

### remove

    public void remove(Member member)

### start

    public void start()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### stop

    public void stop()

### backgroundProcess

    public void backgroundProcess()

### sendMessage

    public void sendMessage(ClusterMessage message,
                            Member member)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendMessage

    public void sendMessage(ClusterMessage message)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendMessageClusterDomain

    public void sendMessageClusterDomain(ClusterMessage message)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### isWaitForAck

    public boolean isWaitForAck()

### setWaitForAck

    public void setWaitForAck(boolean isWaitForAck)

### isCompress

    public boolean isCompress()

### setCompress

    public void setCompress(boolean compress)

### setCatalinaCluster

    public void setCatalinaCluster(SimpleTcpCluster cluster)

  Parameters:
    `cluster` -

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.